﻿:root {
    --calendar-bg-color: #5181b3;
    --calendar-bg-hover-color: #7198C1;
    --calendar-font-color: #FFF;
    --weekdays-border-bottom-color: #404040;
    --calendar-date-hover-color: #505050;
    --calendar-current-date-color: #fff;
    --calendar-current-date-bg-color: #000;
    --calendar-today-color: linear-gradient(to bottom, #03a9f4, #2196f3);
    --calendar-today-innerborder-color: transparent;
    --calendar-nextprev-bg-color: transparent;
    --next-prev-arrow-color: #FFF;
    --calendar-border-radius: 10px;
    --calendar-prevnext-date-color: #cfcfcf
}

.calendar {
    font-family: 'IBM Plex Sans', sans-serif;
    position: relative;
    max-width: 400px; /*change as per your design need */
    min-width: 320px;
    background: var(--calendar-bg-color);
    color: var(--calendar-font-color);
    margin: 20px auto;
    box-sizing: border-box;
    overflow: hidden;
    font-weight: normal;
    border-radius: var(--calendar-border-radius);
    user-select: none;
}

.calendar-inner {
    padding: 4px 8px 8px 8px;
}

.cs-item {
    font-weight: 700;
    color: #333;
    background-color: #daaa20;
    border-radius: 5px;
}

    .cs-item:hover {
        background-color: #efb916 !important;
    }

.calendar .calendar-inner .calendar-body {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    text-align: center;
}

    .calendar .calendar-inner .calendar-body div {
        padding: 2px;
        min-height: 30px;
        line-height: 30px;
        border: 1px solid transparent;
        margin: 4px 2px 0px;
    }

        .calendar .calendar-inner .calendar-body div:nth-child(-n+8) {
            border: 1px solid transparent;
            border-bottom: 2px solid var(--weekdays-border-bottom-color);
        }

            .calendar .calendar-inner .calendar-body div:nth-child(-n+8):hover {
                border: 1px solid transparent;
                background-color: var(--calendar-bg-hover-color);
                border-bottom: 2px dashed var(--weekdays-border-bottom-color);
            }

        .calendar .calendar-inner .calendar-body div > a {
            color: var(--calendar-font-color);
            text-decoration: none;
            display: flex;
            justify-content: center;
        }

        .calendar .calendar-inner .calendar-body div:hover {
            border: 1px solid var(--calendar-date-hover-color);
            background-color: var(--calendar-bg-hover-color);
            border-radius: 4px;
        }

        .calendar .calendar-inner .calendar-body div.empty-dates:hover {
            border: 1px solid transparent;
        }

.calendar .calendar-inner .calendar-controls {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.calendar .calendar-inner .calendar-today-date {
    display: grid;
    text-align: center;
    cursor: pointer;
    margin: 3px 0px;
    background: var(--calendar-current-date-color);
    color: var(--calendar-current-date-bg-color);
    font-weight: 700;
    padding: 4px 0px;
    border-radius: 5px;
    width: 96%;
    margin: auto;
    user-select: none;
}

.calendar .calendar-inner .calendar-controls .calendar-year-month {
    display: flex;
    min-width: 100px;
    justify-content: space-evenly;
    align-items: center;
}

.calendar .calendar-inner .calendar-controls .calendar-next {
    text-align: right;
}

.calendar .calendar-inner .calendar-controls .calendar-year-month .calendar-year-label,
.calendar .calendar-inner .calendar-controls .calendar-year-month .calendar-month-label {
    font-weight: 500;
    font-size: 20px;
}

.calendar .calendar-inner .calendar-body .calendar-today {
    background: var(--calendar-today-color);
    font-weight:700;
    border-radius: 4px;
}

    .calendar .calendar-inner .calendar-body .calendar-today:hover {
        border: 1px solid transparent;
    }

    .calendar .calendar-inner .calendar-body .calendar-today a {
        outline: 2px solid var(--calendar-today-innerborder-color);
    }

.calendar .calendar-inner .calendar-controls .calendar-next button,
.calendar .calendar-inner .calendar-controls .calendar-prev button {
    color: var(--calendar-font-color);
    font-family: arial, consolas, sans-serif;
    font-size: 26px;
    text-decoration: none;
    padding: 2px 12px;
    display: inline-block;
    user-select: none;
    background: var(--calendar-nextprev-bg-color);
    margin: 4px 0 10px 0;
}

.calendar .calendar-next button,
.calendar .calendar-prev button {
    border:inset;
    border-radius: 5px;
    border-width: 2px;
}

    .calendar .calendar-inner .calendar-controls .calendar-next button svg,
    .calendar .calendar-inner .calendar-controls .calendar-prev button svg {
        height: 20px;
        width: 20px;
    }

        .calendar .calendar-inner .calendar-controls .calendar-next button svg path,
        .calendar .calendar-inner .calendar-controls .calendar-prev button svg path {
            fill: var(--next-prev-arrow-color);
        }

.calendar .calendar-inner .calendar-body .prev-dates,
.calendar .calendar-inner .calendar-body .next-dates {
    color: var(--calendar-prevnext-date-color);
}

    .calendar .calendar-inner .calendar-body .prev-dates:hover,
    .calendar .calendar-inner .calendar-body .next-dates:hover {
        border: 1px solid transparent;
    }
